## org.w3c.dom.svg
Interface SVGUseElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.events.EventTarget, org.w3c.dom.Node, SVGElement, SVGExternalResourcesRequired, SVGLangSpace, SVGLocatable, SVGStylable, SVGTests, SVGTransformable, SVGURIReference

All Known Implementing Classes:
  SVGOMUseElement

public interface SVGUseElement
extends SVGElement, SVGURIReference, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGStylable, SVGTransformable, org.w3c.dom.events.EventTarget

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`SVGElementInstance` `getAnimatedInstanceRoot()`
`SVGAnimatedLength` `getHeight()`
`SVGElementInstance` `getInstanceRoot()`
`SVGAnimatedLength` `getWidth()`
`SVGAnimatedLength` `getX()`
`SVGAnimatedLength` `getY()`

Methods inherited from interface org.w3c.dom.svg.SVGElement
`getId, getOwnerSVGElement, getViewportElement, getXMLbase, setId, setXMLbase`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.svg.SVGURIReference
`getHref`

Methods inherited from interface org.w3c.dom.svg.SVGTests
`getRequiredExtensions, getRequiredFeatures, getSystemLanguage, hasExtension`

Methods inherited from interface org.w3c.dom.svg.SVGLangSpace
`getXMLlang, getXMLspace, setXMLlang, setXMLspace`

Methods inherited from interface org.w3c.dom.svg.SVGExternalResourcesRequired
`getExternalResourcesRequired`

Methods inherited from interface org.w3c.dom.svg.SVGStylable
`getClassName, getPresentationAttribute, getStyle`

Methods inherited from interface org.w3c.dom.svg.SVGTransformable
`getTransform`

Methods inherited from interface org.w3c.dom.svg.SVGLocatable
`getBBox, getCTM, getFarthestViewportElement, getNearestViewportElement, getScreenCTM, getTransformToElement`

Methods inherited from interface org.w3c.dom.events.EventTarget
`addEventListener, dispatchEvent, removeEventListener`

Method Detail

### getX

    public SVGAnimatedLength getX()

### getY

    public SVGAnimatedLength getY()

### getWidth

    public SVGAnimatedLength getWidth()

### getHeight

    public SVGAnimatedLength getHeight()

### getInstanceRoot

    public SVGElementInstance getInstanceRoot()

### getAnimatedInstanceRoot

    public SVGElementInstance getAnimatedInstanceRoot()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.